Update a workflow template
curl --request PATCH \
--url https://api.artu.ai/workflow-templates/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Environment: <api-key>' \
--data '
{
"name": "<string>",
"description": "<string>",
"category": "<string>",
"tags": [],
"scopes": [],
"workflow": {
"nodes": [],
"edges": []
},
"variableDefinitions": [],
"metadata": {}
}
'import requests
url = "https://api.artu.ai/workflow-templates/{id}"
payload = {
"name": "<string>",
"description": "<string>",
"category": "<string>",
"tags": [],
"scopes": [],
"workflow": {
"nodes": [],
"edges": []
},
"variableDefinitions": [],
"metadata": {}
}
headers = {
"Authorization": "Bearer <token>",
"X-Environment": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
Authorization: 'Bearer <token>',
'X-Environment': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
name: '<string>',
description: '<string>',
category: '<string>',
tags: [],
scopes: [],
workflow: {nodes: [], edges: []},
variableDefinitions: [],
metadata: {}
})
};
fetch('https://api.artu.ai/workflow-templates/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.artu.ai/workflow-templates/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'description' => '<string>',
'category' => '<string>',
'tags' => [
],
'scopes' => [
],
'workflow' => [
'nodes' => [
],
'edges' => [
]
],
'variableDefinitions' => [
],
'metadata' => [
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"X-Environment: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.artu.ai/workflow-templates/{id}"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"category\": \"<string>\",\n \"tags\": [],\n \"scopes\": [],\n \"workflow\": {\n \"nodes\": [],\n \"edges\": []\n },\n \"variableDefinitions\": [],\n \"metadata\": {}\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("X-Environment", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.artu.ai/workflow-templates/{id}")
.header("Authorization", "Bearer <token>")
.header("X-Environment", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"category\": \"<string>\",\n \"tags\": [],\n \"scopes\": [],\n \"workflow\": {\n \"nodes\": [],\n \"edges\": []\n },\n \"variableDefinitions\": [],\n \"metadata\": {}\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.artu.ai/workflow-templates/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["X-Environment"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"category\": \"<string>\",\n \"tags\": [],\n \"scopes\": [],\n \"workflow\": {\n \"nodes\": [],\n \"edges\": []\n },\n \"variableDefinitions\": [],\n \"metadata\": {}\n}"
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organizationId": "<string>",
"name": "<string>",
"tags": [
"<string>"
],
"scopes": [
"<string>"
],
"visibility": "private",
"version": 0,
"workflow": {
"nodes": [],
"edges": []
},
"variableDefinitions": [
{
"name": "<string>",
"description": "<string>",
"value": "<unknown>"
}
],
"createdAt": "<string>",
"updatedAt": "<string>",
"description": "<string>",
"category": "<string>",
"metadata": {},
"sourceWorkflowId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sourceWorkflowEnvironment": "<string>",
"publishedAt": "<string>"
}Workflow Templates
Update a workflow template
PATCH
/
workflow-templates
/
{id}
Update a workflow template
curl --request PATCH \
--url https://api.artu.ai/workflow-templates/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Environment: <api-key>' \
--data '
{
"name": "<string>",
"description": "<string>",
"category": "<string>",
"tags": [],
"scopes": [],
"workflow": {
"nodes": [],
"edges": []
},
"variableDefinitions": [],
"metadata": {}
}
'import requests
url = "https://api.artu.ai/workflow-templates/{id}"
payload = {
"name": "<string>",
"description": "<string>",
"category": "<string>",
"tags": [],
"scopes": [],
"workflow": {
"nodes": [],
"edges": []
},
"variableDefinitions": [],
"metadata": {}
}
headers = {
"Authorization": "Bearer <token>",
"X-Environment": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
Authorization: 'Bearer <token>',
'X-Environment': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
name: '<string>',
description: '<string>',
category: '<string>',
tags: [],
scopes: [],
workflow: {nodes: [], edges: []},
variableDefinitions: [],
metadata: {}
})
};
fetch('https://api.artu.ai/workflow-templates/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.artu.ai/workflow-templates/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'description' => '<string>',
'category' => '<string>',
'tags' => [
],
'scopes' => [
],
'workflow' => [
'nodes' => [
],
'edges' => [
]
],
'variableDefinitions' => [
],
'metadata' => [
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"X-Environment: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.artu.ai/workflow-templates/{id}"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"category\": \"<string>\",\n \"tags\": [],\n \"scopes\": [],\n \"workflow\": {\n \"nodes\": [],\n \"edges\": []\n },\n \"variableDefinitions\": [],\n \"metadata\": {}\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("X-Environment", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.artu.ai/workflow-templates/{id}")
.header("Authorization", "Bearer <token>")
.header("X-Environment", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"category\": \"<string>\",\n \"tags\": [],\n \"scopes\": [],\n \"workflow\": {\n \"nodes\": [],\n \"edges\": []\n },\n \"variableDefinitions\": [],\n \"metadata\": {}\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.artu.ai/workflow-templates/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["X-Environment"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"category\": \"<string>\",\n \"tags\": [],\n \"scopes\": [],\n \"workflow\": {\n \"nodes\": [],\n \"edges\": []\n },\n \"variableDefinitions\": [],\n \"metadata\": {}\n}"
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organizationId": "<string>",
"name": "<string>",
"tags": [
"<string>"
],
"scopes": [
"<string>"
],
"visibility": "private",
"version": 0,
"workflow": {
"nodes": [],
"edges": []
},
"variableDefinitions": [
{
"name": "<string>",
"description": "<string>",
"value": "<unknown>"
}
],
"createdAt": "<string>",
"updatedAt": "<string>",
"description": "<string>",
"category": "<string>",
"metadata": {},
"sourceWorkflowId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sourceWorkflowEnvironment": "<string>",
"publishedAt": "<string>"
}Authorizations
API key authentication. Obtain your API key from the dashboard.
Target environment for the request. Must be "test" or "live".
Path Parameters
Body
application/json
Name
Required string length:
1 - 255Description
Maximum string length:
1000Category
Maximum string length:
255Tags
Maximum string length:
100Scopes
Maximum string length:
50Workflow
Show child attributes
Show child attributes
Variable Definitions
Show child attributes
Show child attributes
Metadata
Show child attributes
Show child attributes
Response
200 - application/json
OK
Available options:
private, pending_review, published Required range:
-9007199254740991 <= x <= 9007199254740991Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?
